LoadAuthReversal

This method can only return the result codes of 1 (success) or -9 (an error occurred while queuing the Reversal).

KLV will not be sent for reversals. Only reference data will be included if there is any. If KLV data is needed please lookup KLV from the reference data included.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓The reference of the wallet to reverse a previous load
requestAmountInteger✓The amount of the original load to be reversed
narrativeString1-255 characters✓A description of the terminal where the card was used
transactionDataString0-2048 characters✓Extra information about the transaction in a KLV format
referenceIDString1-255 characters✓Transaction id of the original load to be reversed
referenceDateDate✓Transaction date of the original load to be reversed
transactionIDString1-255 characters✓Transaction id to identify the reversal message. Note that the Transaction id is not a unique value and may be duplicated over time.
transactionDateDate✓Transaction date to identify the reversal message
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
    <methodName>LoadAuthReversal</methodName>
    <params>
        <param>
            <value>
                <string>0014682067</string>
            </value>
        </param>
        <param>
            <value>
                <string>IMPLTest</string>
            </value>
        </param>
        <param>
            <value>
                <int>10000</int>
            </value>
        </param>
        <param>
            <value>
                <string>Tutuka Test            Pretoria      ZAF</string>
            </value>
        </param>
        <param>
            <value>
                <string></string>
            </value>
        </param>
        <param>
            <value>
                <string>192316</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20240313T11:20:00</dateTime.iso8601>
            </value>
        </param>
         <param>
            <value>
                <string>192325</string>
            </value>
        </param>
         <param>
            <value>
                <dateTime.iso8601>20240313T11:20:00</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>47D4F5C6E263FA295D492A925DF607773D3F1B9B</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>